Maplesoft Product System Requirements Maplesoft

System Requirements






Maple 2018 System Requirements
The following system requirements are for all versions of Maple 2018. See International Language Support for information on international versions and language packs for Maple. For upcoming releases, view the Maple platform roadmap



Windows® (64-bit)
Version CPU* Recommended RAM Hard Disk
Windows Server 2016 1.4 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB
Windows 10 1 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB
Windows 8.1 1 gigahertz (GHz) or faster 64-bit (x64) with support for PAE, NX, and SSE2
4 GB
4 GB
Windows Server 2012 1.4 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB
Windows 7 1 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB

  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
  • Classic Worksheet is not available on 64-bit Windows.

Windows (32-bit)
Version CPU* Recommended RAM Hard Disk
Windows 10 1 gigahertz (GHz) or faster 32-bit (x86)
4 GB
4 GB
Windows 8.1 1 gigahertz (GHz) or faster 32-bit (x86) with support for PAE, NX, and SSE2
4 GB
4 GB
Windows 7 1 gigahertz (GHz) or faster 32-bit (x86)
4 GB
4 GB


  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.



64 bit Linux® System Requirements

Operating System CPU* Recommended RAM Hard Disk
Red Hat Enterprise Linux 7 1 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB
SUSE Linux Enterprise Desktop 12 1 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB
Ubuntu 17.10, 16.04 LTS 1 gigahertz (GHz) or faster 64-bit (x64)
4 GB
4 GB

  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • X11 R6
  • Internal TCP/IP connections enabled.
  • System performance may be affected if running below the recommended memory requirement.
  • Classic Worksheet is not available on 64-bit Linux.


Mac®

Operating System CPU Recommended RAM Hard Disk
macOS 10.13, 10.12, 10.11 64-bit, Intel
4 GB
4 GB

  • Java™ Runtime Environment 1.6 installed.
  • DVD-ROM drive (for DVD installation).
  • 16-bit color at 1024 by 768 (or greater) resolution recommended.
  • Internal TCP/IP connections enabled.
  • Classic Worksheet is not available on this platform.
  • System performance may be affected if running below the recommended memory requirement.

Connectivity Feature Requirements
Maple has built-in connectivity features with various other software tools. The following table lists which versions of those products are compatible with Maple 2018. It is not necessary to have these products to use Maple. These requirements are only for those wishing to take advantage of the connectivity features.


Package Versions
Microsoft® Excel® 2016, 2013, 2010
MATLAB® 2017b, 2017a, 2016b
Database Connectivity SQLite or any database for which a JDBC-compliant driver is available
CAD SolidWorks® 2013 (32-bit or 64-bit) on Windows
Autodesk Inventor® 2014 or 2015 (32-bit or 64-bit) on Windows
NX® 8.5 or 9.0 (32-bit or 64-bit) on Windows with the Microsoft .NET Framework installed.


Web Browser Requirements

The following components are required to view 2-D math when exporting to HTML with the MapleViewer:

  • Web browser with Java runtime environment version 1.6.0_18 or later.

Back to top





Maple Add-ons - System Requirements

A licensed copy of Maple, running on a computer that meets the Maple system requirements, is required for all toolboxes and e-books. Additional requirements and platform availability are given below.

If you do not have Maple, it can be purchased at the Maplesoft Web Store. If you own a prior version of Maple, please use our upgrade form to upgrade your copy to the latest version. Alternatively, you can also contact Maplesoft sales.


Add-on Additional Requirements
BlockImporter™
Global Optimization Toolbox
Grid Computing Toolbox
Advanced Engineering Mathematics
Advanced Engineering Mathematics - Student Manual
Mathematics Survival Kit
Calculus Study Guide
Precalculus Study Guide
Multivariate Calculus Study Guide
Maple Player

  • MATLAB® 2017b with Simulink®
  • MATLAB® 2017a with Simulink®
  • MATLAB® 2016b with Simulink®

Back to top






MapleSim 2018 - System Requirements
A licensed copy of Maple 2018, running on a computer that meets the Maple 2018 system requirements, is required for MapleSim 2018. MapleSim 2018 is available for the platforms listed below. Follow the links to see the full system requirements for each platform.

For FMI Connectivity: The FMI import feature supports FMI 2.0 Model Exchange and 2.0 Fixed-Step Co-Simulation. See the requirements for the MapleSim Connector for FMI for supported export formats.

See International Language Support for information on international versions and language packs for MapleSim.

Back to top






MapleSim Add-ons - System Requirements
Licensed copies of MapleSim and Maple, running on a computer that meets the Maple and MapleSim system requirements, are required for MapleSim toolboxes. Additional requirements are given below.


Add-on Additional Requirements
Code generated by a connector product has been verified for use with the target software versions listed. While we do not officially support use with other versions, compatibility between releases of the target software means generated code may also work with other versions not listed.
MapleSim Connector

MATLAB® 2017b with Simulink®
MATLAB® 2017a with Simulink®
MATLAB® 2016b with Simulink®

MapleSim Connector for LabVIEW™ and NI VeriStand™ Software NI LabVIEW 2011 or 2012 with at least one of the following:
  • LabVIEW Control Design and Simulation Module
  • LabVIEW Simulation Interface Toolkit
  • NI VeriStand 2011, 2012, or 2013
Windows users also requires Microsoft Visual Studio 2013, 2015, or 2017
MapleSim Connector for JMAG®-RT Requires JMAG-Designer version 12.0
MapleSim Connector for FMI Exports to:
  • FMI 2.0 Model Exchange and Co-Simulation
    (fixed-step slave)
  • FMI 1.0 Model Exchange and Co-Simulation
    (fixed-step slave)
Windows users also require Microsoft Visual Studio 2013, 2015, or 2017.
Linux and Mac users require the gcc compiler.


Note that FMI Import is built directly into MapleSim, and supports FMI 2.0 Model Exchange and Fixed-Step Co-Simulation.

MapleSim Control Design Toolbox  
MapleSim CAD Toolbox Available on Windows only. See supported CAD formats
MapleSim Tire Component Library  
MapleSim Driveline Component Library
MapleSim Heat Transfer Library from CYBERNET  
MapleSim Hydraulics Library® from Modelon  
MapleSim Pneumatics Library® from Modelon
MapleSim Battery Library Some parameter identification functionality requires the Maple Global Optimization Toolbox
MapleSim Explorer Same requirements as MapleSim

Back to top






MapleNet - System Requirements

MapleNet Server

  • Maple 18 installed on any compatible Windows, Linux, or Macintosh server grade system, 2GB memory quad core minimum recommended.
  • MapleNet Server components consume approximately 30 MB of memory while running, plus at least 3 MB per connection--the connections are of short duration and are not persistent
  • Installation requires approximately 110 MB disk space
  • Web server software that supports v2.3 servlets and JSP, such as Apache Tomcat 6.0 or later
  • Java SDK 1.6.0_10 or later


MapleNet Publisher

A publisher machine is responsible for creating and editing the content of web pages and uploading them to the server. Note that a single machine can be both server and publisher.

  • Maple 18 installed on any Maple-18 compatible system
  • Java SDK 1.6.0 or later
  • Java JRE 1.6.0_10 or later, including browser plug-in
  • File transfer software, such as FTP or SCP, for copying files to the server
  • Installation requires approximately 20 MB disk space
  • Recommended - A Java development environment, such as Eclipse, JBuilder™, or NetBeans™, if developing Java applets
  • Recommended - A web page development environment, such as Dreamweaver®


MapleNet Client
The MapleNet Client requirements are the same as the Maple T.A. Client Requirements.

Back to top

Ready for the next step?

Talk with our product specialists today for a free evaluation of Maple.

*Evaluations are not available for students or personal edition users.